Tasks

Coverage extension

Trigger a coverage extension task

POST
https://api.textreveal.com/v3/coverage-extension

Request

Request Body

  • universe_ids*uuid[]

    In which universes the entities will be added to

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • entities*object[]

    List of entity candidates to extend coverage for

    Array length: [1, 25]
Request
{
  "universe_ids": [
    "75ebc096-749e-4b8f-b690-df13daf49c62"
  ],
  "entities": [
    {
      "external_id": "41_LoE96n4OtUzOdQQSXg0Yr9p-_0fOu25u5QyR-la78PbQUNw"
    }
  ]
}

Response

Response - 200

Coverage extension task started

  • task_id*uuid

    Unique identifier of the task

    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{
  "task_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "universe_ids",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "You are not allowed to update this universe"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "You are not allowed to update this universe",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Error - 429

Too many requests

  • message*string

    Error message.

    Example: "You already have 3 coverage_extension tasks waiting in queue. Please wait for one to start before requesting a new one."
  • code*number (enum)

    Error code.

    Values: 429
  • reason*string (enum)

    Error reason.

    Values: "too_many_requests"
Response
{
  "message": "You already have 3 coverage_extension tasks waiting in queue. Please wait for one to start before requesting a new one.",
  "code": 429,
  "reason": "too_many_requests"
}

Generic errors are not shown, see Errors for more details.